task "script" "buf_generate" {
  inline = [
    "buf generate --debug"
  ]

  out_dir = repo.root

  input_mapping = {
    "api"           = "api",
    "buf.gen.yaml"  = "buf.gen.yaml"
    "buf.work.yaml" = "buf.work.yaml"
  }

  container {
    image = "docker.io/bufbuild/buf"
  }

  depends_on = [
    tools.vtprotobuf.id
  ]
}

task "script" "generate_examples_hello_world" {
  working_dir = "examples/hello_world_go"
  inline = [
    "go generate -x ./..."
  ]

  depends_on = [
    tasks.buf_generate.id,
    tools.mockery.id
  ]
}

task "script" "generate_sdk" {
  inline = [
    "go generate -x ./..."
  ]

  depends_on = [
    tasks.buf_generate.id,
  ]
}

task "script" "go_generate" {
  inline = [
    "/bin/true"
  ]

  depends_on = [
    tasks.generate_sdk.id,
    tasks.generate_examples_hello_world.id,
  ]
}