locals {
  tool_versions {
    mockery    = gh_latest_release("vektra", "mockery")
    vtprotobuf = gh_latest_release("planetscale", "vtprotobuf")
  }
}

tool "go_tool" "mockery" {
  binary_name = "mockery"
  repository  = "github.com/vektra/mockery/v2"
  version     = local.tool_versions.mockery
  build_args  = [
    "-v",
    "-trimpath",
    "-a",
    "-installsuffix=cgo"
  ]
}

tool "go_tool" vtprotobuf {
  binary_name = "protoc-gen-go-vtproto"
  repository  = "github.com/planetscale/vtprotobuf/cmd/protoc-gen-go-vtproto"
  version     = local.tool_versions.vtprotobuf
  build_args  = [
    "-v",
    "-trimpath",
    "-a",
    "-installsuffix=cgo"
  ]
}